Subject: Re: [RFC] Globally creating a user and a group "root"
From: "Monte Hayward" <[email-masked]>
To: <[email-masked]>
Date: Thu, 3 Jun 2004 17:31:53 -0700

I've read this thread, but the "create root" scripts did not work.
http://www.cygwin.com/ml/cygwin-apps/2003-11/msg00134.html
cygcheck_svr.txt attached. Does someone have an idea what step I might be
missing? Details below. Thanks kindly.

Problem:
Perl MCPAN -shell results in "Permission denied" messages.

My setup:
C:\cygwin\<all cygwin exes in subdirs>
C:\unix\home\monte\<all working files>

Solutions I tried:
1. Corrinna's script. I saved as create_root.bash and ran it.
http://www.cygwin.com/ml/cygwin-apps/2003-11/txt00002.txt
I entered a new password for root, and the script edited the /etc/.
I then attempted
  >login
  login:root
  Password:<theNewPassword>
  Login incorrect

2. Created users "root" and "Administrator" in Windows XP Control Panel
"Users and Passwords". Logged into XP as "root" and >bash --login -i

3. cd /cygdrive/c/
   chown -Rv monte:Administrators ./unix

4. Edited /etc/passwd and /etc/groups manually.

5. Attempted to install HTML::Parser manually, outside CPAN.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Christopher Faylor
> Sent: Thursday, June 03, 2004 3:10 PM
> To: [email-masked]
> Subject: Re: [RFC] Globally creating a user and a group "root"
> 
> On Thu, Jun 03, 2004 at 03:02:04PM -0700, Monte Hayward wrote:
> >I've read this thread, but the "create root" scripts did not work.
> >cygcheck_svr.txt attached. Does someone have an idea what I might be 
> >missing? Details below. Thanks kindly.
> 
> Wrong mailing list.  Use the main cygwin list for bug reports.
> 
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/